Package org.apache.storm.hbase.security

# Class HBaseSecurityUtil

java.lang.Object
org.apache.storm.hbase.security.HBaseSecurityUtil

public class HBaseSecurityUtil extends Object
This class provides util methods for storm-hbase connector communicating with secured HBase.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `HBASE_CREDENTIALS`
  `static final String`
  `HBASE_CREDENTIALS_CONFIG_KEYS`
  `static final String`
  `HBASE_KEYTAB_FILE_KEY`
  `static final String`
  `HBASE_PRINCIPAL_KEY`
  `static final String`
  `STORM_KEYTAB_FILE_KEY`
  `static final String`
  `STORM_USER_NAME_KEY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static org.apache.hadoop.hbase.security.UserProvider`
  `login(Map<String,Object> conf, org.apache.hadoop.conf.Configuration hbaseConfig)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### STORM_KEYTAB_FILE_KEY

    public static final String STORM_KEYTAB_FILE_KEY
    See Also:
      - Constant Field Values

  - ### STORM_USER_NAME_KEY

    public static final String STORM_USER_NAME_KEY
    See Also:
      - Constant Field Values

  - ### HBASE_CREDENTIALS_CONFIG_KEYS

    public static final String HBASE_CREDENTIALS_CONFIG_KEYS
    See Also:
      - Constant Field Values

  - ### HBASE_CREDENTIALS

    public static final String HBASE_CREDENTIALS
    See Also:
      - Constant Field Values

  - ### HBASE_KEYTAB_FILE_KEY

    public static final String HBASE_KEYTAB_FILE_KEY
    See Also:
      - Constant Field Values

  - ### HBASE_PRINCIPAL_KEY

    public static final String HBASE_PRINCIPAL_KEY
    See Also:
      - Constant Field Values

- ## Method Details

  - ### login

    public static org.apache.hadoop.hbase.security.UserProvider login(Map<String,Object> conf, org.apache.hadoop.conf.Configuration hbaseConfig) throws IOException
    Throws:
      `IOException`